"""
autor: Miroslav Martinek
datum: 17.11.2023
zadani 06
Baze dat systemu.
"""


# popis bytu
dvere_kuchyn_obyvak = {
    "is-a": ["kuchyn", "obyvak"],
    "typ": "jednokridle",
    "barva": "bila"
}

dvere_predsin_obyvak = {
    "is-a": ["predsin", "obyvak"],
    "typ": "jednokridle",
    "barva": "bila"
}

dvere_loznice_predsin = {
    "is-a": ["loznice", "predsin"],
    "typ": "jednokridle",
    "barva": "bila"
}

dvere_pokoj_predsin = {
    "is-a": ["pokoj", "predsin"],
    "typ": "jednokridle",
    "barva": "modra"
}

dvere_koupelna_predsin = {
    "is-a": ["koupelna", "predsin"],
    "typ": "jednokridle",
    "barva": "modra"
}

zachod_koupelna = {
    "is-a": "koupelna",
    "typ": "splachovaci zachod",
    "rozmery": "1x1 m",
    "barva": "bila s hnedym detailem"
}

sprcha_koupelna = {
    "is-a": "koupelna",
    "typ": "sprchovy kout",
    "rozmery": "1,5x1,5 m",
    "barva": "sediva"
}

umyvadlo_koupelna = {
    "is-a": "koupelna",
    "typ": "koupelnove umyvadlo",
    "rozmery": "1x1 m",
    "barva": "bila"
}

pracka_koupelna = {
    "is-a": "koupelna",
    "typ": "pracka se susickou",
    "rozmery": "1x1 m",
    "barva": "bila"
}

koupelna = {
    "is-a": "byt",
    "velikost": "12 m^2",
    "rozmery": "4x3 m",
    "podlaha": "keramicka",
    "okna": {},
    "dvere": {"dvere do predsine": dvere_koupelna_predsin},
    "nabytek": {"zachod": zachod_koupelna,
                "sprcha": sprcha_koupelna, "umyvadlo": umyvadlo_koupelna},
    "spotrebice": {"pracka": pracka_koupelna}
}

postel_pokoj = {
    "is-a": "pokoj",
    "typ": "detska postel",
    "rozmery": "1,6x1 m",
    "barva": "modra"
}

okno_pokoj = {
    "is-a": "pokoj",
    "typ": "plastove okno",
    "rozmery": "1x1 m",
    "poloha": "sever",
    "barva ramu": "zluta"
}

pokoj = {
    "is-a": "byt",
    "velikost": "20 m^2",
    "rozmery": "5x4 m",
    "podlaha": "koberec",
    "okna": {"okno": okno_pokoj},
    "dvere": {"dvere do predsine": dvere_pokoj_predsin},
    "nabytek": {"postel": postel_pokoj},
    "spotrebice": {}
}

skrin_predsin = {
    "is-a": "predsin",
    "typ": "skrin s posouvnymi dvermi",
    "rozmery": "1x4 m",
    "barva": "bila"
}

predsin = {
    "is-a": "byt",
    "velikost": "15 m^2",
    "rozmery": "5x3 m",
    "podlaha": "linoleum",
    "okna": {},
    "dvere": {"dvere do loznice": dvere_loznice_predsin, "dvere do obyvaku": dvere_predsin_obyvak},
    "nabytek": {"skrin": skrin_predsin},
    "spotrebice": {}
}

okno_loznice = {
    "is-a": "loznice",
    "typ": "plastove okno",
    "rozmery": "1x1 m",
    "poloha": "vychod",
    "barva ramu": "bila"
}

postel_loznice = {
    "is-a": "loznice",
    "typ": "manzelska postel",
    "rozmery": "2x2 m",
    "barva": "sediva"
}

lampa_loznice = {
    "is-a": "loznice",
    "typ": "nocni lampa",
    "barva": "hneda"
}

loznice = {
    "is-a": "byt",
    "velikost": "25 m^2",
    "rozmery": "5x5 m",
    "podlaha": "koberec",
    "okna": {"okno": okno_loznice},
    "dvere": {"dvere do predsine": dvere_loznice_predsin},
    "nabytek": {"postel": postel_loznice},
    "spotrebice": {"lampa": lampa_loznice}
}

okno_obyvak_1 = {
    "is-a": "obyvak",
    "typ": "plastove okno",
    "rozmery": "1x2 m",
    "poloha": "sever",
    "barva ramu": "bila"
}

okno_obyvak_2 = {
    "is-a": "obyvak",
    "typ": "plastove okno",
    "rozmery": "1x1 m",
    "poloha": "vychod",
    "barva ramu": "bila"
}

stul_obyvak = {
    "is-a": "obyvak",
    "typ": "obyvakovy stul",
    "material": "sklo",
    "vyska": "0.5 m",
    "rozmery": "1x2 m"
}

gauc_obyvak = {
    "is-a": "obyvak",
    "typ": "obykovy gauc",
    "material": "kuze",
    "rozmery": "1x5 m",
    "barva": "cerna"
}

televize_obyvak = {
    "is-a": "obyvak",
    "typ": "LCD televize",
    "uhlopricka": "80 cm",
    "znacka": "Samsung"
}

obyvak = {
    "is-a": "byt",
    "velikost": "36 m^2",
    "rozmery": "6x6 m",
    "podlaha": "koberec",
    "okna": {"okno": okno_obyvak_1},
    "dvere": {"dvere do kuchyne": dvere_kuchyn_obyvak, "dvere do predsine": dvere_predsin_obyvak},
    "nabytek": {"stul": stul_obyvak, "gauc": gauc_obyvak},
    "spotrebice": {"televize": televize_obyvak}
}

okno_kuchyn = {
    "is-a": "kuchyn",
    "typ": "plastove okno",
    "rozmery": "1x2 m",
    "poloha": "sever",
    "barva ramu": "bila"
}

stul_kuchyn = {
    "is-a": "kuchyn",
    "typ": "jidelni stul",
    "material": "drevo",
    "vyska": "1 m",
    "rozmery": "1.5x2.5 m"
}

linka_kuchyn = {
    "is-a": "kuchyn",
    "typ": "kuchynska linka",
    "material": "drevo",
    "vyska": "0.8 m",
    "rozmery": "1x2 m"
}

sporak_trouba_kuchyn = {
    "is-a": "kuchyn",
    "rozmery": "1x1 m",
    "typ": "eletricky sporak a trouba"
}

kuchyn = {
    "is-a": "byt",
    "velikost": "18 m^2",
    "rozmery": "3x6 m",
    "podlaha": "linoleum",
    "okna": {"okno": okno_kuchyn},
    "dvere": {"dvere do obyvaku": dvere_kuchyn_obyvak},
    "nabytek": {"stul": stul_kuchyn, "linka": linka_kuchyn},
    "spotrebice": {"sporak a trouba": sporak_trouba_kuchyn}
}

byt = {
    "is-a": "panelak",
    "adresa": "Olomouc, Dlouhá 45, 77900",
    "patro": "4",
    "majitel": "Miroslav Martinek",
    "velikost": "126 m^2",
    "typ-bytu": "3+kk",
    "mistnosti": {
        "kuchyn": kuchyn, "obyvak": obyvak, "loznice": loznice,
        "pokoj": pokoj, "predsin": predsin, "koupelna": koupelna
    }
}
