"""
@author Vitaliy Bohera
@version 1
@info Baze dat znalostniho systemu pro reprezentaci rozložení a vybavení bytu
@date 10.11.2023
"""

# informace o okne v mistnosti - kuchyn
okno_kuchyn = {"is-a": "kuchyň",
               "typ": "plastové okno",
               "rozměry": "1,2 x 1,4 m",
               "poloha": "východní strana",
               "barva rámu": "bílá"}

# informace o okne-1 v mistnosti - obyvak
okno_obyvak_1 = {"is-a": "obývak",
                 "typ": "plastové okno",
                 "rozměry": "1,4 x 1,6 m",
                 "poloha": "východní strana",
                 "barva rámu": "bílá"}

# informace o okne-2 v mistnosti - obyvak
okno_obyvak_2 = {"is-a": "obývak",
                 "typ": "plastové okno",
                 "rozměry": "1,4 x 1,6 m",
                 "poloha": "severní strana",
                 "barva rámu": "bílá"}

# informace o okne v mistnosti - loznice
okno_loznice = {"is-a": "ložnice",
                "typ": "plastové okno",
                "rozměry": "1,2 x 1,6 m",
                "poloha": "jižní strana",
                "barva rámu": "bílá"}

# informace o okne-1 v mistnosti - pokoj
okno_pokoj_1 = {"is-a": "pokoj",
                "typ": "plastové okno",
                "rozměry": "1,4 x 1,6 m",
                "poloha": "jižní strana",
                "barva rámu": "bílá"}

# informace o okne-2 v mistnosti - pokoj
okno_pokoj_2 = {"is-a": "pokoj",
                "typ": "plastové okno",
                "rozměry": "1,4 x 1,6 m",
                "poloha": "východní strana",
                "barva rámu": "bílá"}

# informace o okne v mistnosti - WC
okno_WC = {"is-a": "WC",
           "typ": "plastové okno",
           "rozměry": "1 x 0,6 m",
           "poloha": "západní strana",
           "barva rámu": "bílá"}

# informace o dverich z obyvaku do kuchyne
dvere_obyvak_kuchyn = {"is-a": ["obývak", "kuchyň"],
                       "typ": "jednokřídlé",
                       "rozměry": "0,8 x 2,1 m",
                       "poloha": "jižní strana",
                       "barva": "hnědá",
                       "otevírání": "do kuchyně"}

# informace o dverich z pokoje do kuchyne
dvere_pokoj_kuchyn = {"is-a": ["pokoj", "kuchyň"],
                      "typ": "jednokřídlé",
                      "rozměry": "0,8 x 2,1 m",
                      "poloha": "jižní strana",
                      "barva": "hnědá",
                      "otevírání": "do pokoje"}

# informace o dverich z koupelny do kuchyne
dvere_koupelna_kuchyn = {"is-a": ["koupelna", "kuchyň"],
                         "typ": "jednokřídlé",
                         "rozměry": "0,8 x 2,1 m",
                         "poloha": "jižní strana",
                         "barva": "bílá",
                         "otevírání": "do koupelny"}

# informace o dverich z obyvaku do predsine
dvere_obyvak_predsin = {"is-a": ["obývak", "předsíň"],
                        "typ": "jednokřídlé",
                        "rozměry": "0,8 x 2,1 m",
                        "poloha": "západní strana",
                        "barva": "hnědá",
                        "otevírání": "do předsíně"}

# informace o dverich z loznice do pokoje
dvere_pokoj_loznice = {"is-a": ["pokoj", "ložnice"],
                       "typ": "jednokřídlé",
                       "rozměry": "0,8 x 2,1 m",
                       "poloha": "západní strana",
                       "barva": "hnědá",
                       "otevírání": "do ložnice"}

# informace o dverich z loznice do koupelny
dvere_loznice_koupelna = {"is-a": ["koupelna", "ložnice"],
                          "typ": "jednokřídlé",
                          "rozměry": "0,8 x 2,1 m",
                          "poloha": "severní strana",
                          "barva": "bílá",
                          "otevírání": "do koupelny"}

# informace o dverich z koupelny do WC
dvere_koupelna_WC = {"is-a": ["koupelna", "WC"],
                     "typ": "jednokřídlé",
                     "rozměry": "0,8 x 2,1 m",
                     "poloha": "západní strana",
                     "barva": "bílá",
                     "otevírání": "do WC"}

# informace o mistnosti - kuchyn
kuchyn = {"is-a": "byt",
          "velikost": "20 m^2",
          "rozměry": "4x5 m",
          "podlaha": "vinyl",
          "okna": [okno_kuchyn],
          "dveře": [dvere_obyvak_kuchyn, dvere_pokoj_kuchyn, dvere_koupelna_kuchyn],
          "nábytek": ["stůl", "kuchyňská linka", "židle 4x", "skříň"]}

# informace o mistnosti - obyvak
obyvak = {"is-a": "byt",
          "velikost": "30 m^2",
          "rozměry": "5x6 m",
          "podlaha": "vinyl",
          "okna": [okno_obyvak_1, okno_obyvak_2],
          "dveře": [dvere_obyvak_kuchyn, dvere_obyvak_predsin],
          "nábytek": ["gauč", "stůl", "židle 3x", "polička"]}

# informace o mistnosti - loznice
loznice = {"is-a": "byt",
           "velikost": "16 m^2",
           "rozměry": "4x4 m",
           "podlaha": "vinyl",
           "okna": [okno_loznice],
           "dveře": [dvere_pokoj_loznice, dvere_loznice_koupelna],
           "nábytek": ["postel", "skříň", "noční stolek"]}

# informace o mistnosti - pokoj
pokoj = {"is-a": "byt",
         "velikost": "25 m^2",
         "rozměry": "5x5 m",
         "podlaha": "koberec",
         "okna": [okno_pokoj_1, okno_pokoj_2],
         "dveře": [dvere_pokoj_loznice, dvere_pokoj_kuchyn],
         "nábytek": ["postel", "skříň", "stůl", "židle 2x", "polička"]}

# informace o mistnosti - predsin
predsin = {"is-a": "byt",
           "velikost": "6 m^2",
           "rozměry": "2x3 m",
           "podlaha": "vinyl",
           "okna": [],
           "dveře": [dvere_obyvak_predsin],
           "nábytek": ["botník", "skříň", "věšák"]}

# informace o mistnosti - koupelna
koupelna = {"is-a": "byt",
            "velikost": "12 m^2",
            "rozměry": "3x4 m",
            "podlaha": "keramická dlažba",
            "okna": [],
            "dveře": [dvere_koupelna_kuchyn, dvere_loznice_koupelna, dvere_koupelna_WC],
            "nábytek": ["vana", "umývadlo", "polička", "skříň"]}

# informace o mistnosti - WC
WC = {"is-a": "byt",
      "velikost": "4 m^2",
      "rozměry": "2x2 m",
      "podlaha": "keramická dlažba",
      "okna": [okno_WC],
      "dveře": [dvere_koupelna_WC],
      "nábytek": ["záchodová mísa", "polička", "umývadlo"]}

# informace o byte
byt = {"is-a": "panelák",
       "adresa": "Plzeň, Technická 13, 30100",
       "patro": "3",
       "majitel": "Vitaliy Bohera",
       "velikost": "100 m^2",
       "typ": "4+1",
       "místnosti": {"kuchyň": kuchyn,
                     "obývák": obyvak,
                     "ložnice": loznice,
                     "pokoj": pokoj,
                     "předsíň": predsin,
                     "koupelna": koupelna,
                     "WC": WC}}
