"""
autor: Miroslav Martinek
datum: 17.11.2023
zadani 06
Inferencni modul systemu.
"""
import baze_dat
import komunikacni_modul
import vysvetlovaci_modul


# cyklus tazani uzivatele na vstup a volani prislusnich reakci
def start():
    komunikacni_modul.welcome()

    go = True
    while(go):
        command = vysvetlovaci_modul.user_input()
        command_parts = command.split(maxsplit=3)
        if(command == "q"):
            go = False
        elif(command == "pomoc"):
            komunikacni_modul.help()
        elif(command_parts[0] == "info" and len(command_parts) > 1):
            if(command_parts[1] == "byt"):
                vysvetlovaci_modul.info_byt()
            elif(command_parts[1] == "vybaveni" and len(command_parts) > 3):
                vysvetlovaci_modul.info_item(command_parts[2], command_parts[3])
            else:
                vysvetlovaci_modul.info_room(command_parts[1])
        elif(command_parts[0] == "sousedi" and len(command_parts) > 1):
            vysvetlovaci_modul.connected_rooms(command_parts[1])
        else:
            komunikacni_modul.error()
            komunikacni_modul.help()
