"""
Autor: Matěj Vohradský (vohry8@students.zcu.cz)
Datum: 2023-11-27
Program: Baze dat
Verze: 1.0.0
"""

# informace o okne v kuchyni
okno_kuchyn = {"is-a": "kuchyň",
               "poloha": "východní strana",
               "barva rámu": "bílá"}

# informace o okne v obyvaku
okno_obyvak = {"is-a": "obývák",
               "poloha": "východní strana",
               "barva rámu": "bílá"}

# informace o okne v loznici
okno_loznice = {"is-a": "ložnice",
                "poloha": "východní strana",
                "barva rámu": "bílá"}

# informace o dverich z obyvaku do kuchyne
dvere_obyvak_kuchyn = {"is-a": ["obývák", "kuchyň"],
                       "barva": "hnědá",
                       "otevírání": "do kuchyně"}

# informace o dverich z predsine do obyvaku
dvere_obyvak_predsin = {"is-a": ["obývák", "předsíň"],
                        "barva": "hnědá",
                        "otevírání": "do obýváku"}

# informace o dverich z obyvaku do loznice
dvere_obyvak_loznice = {"is-a": ["obývák", "ložnice"],
                        "barva": "hnědá",
                        "otevírání": "do ložnice"}

# informace o dverich z obyvaku do koupelny
dvere_obyvak_koupelna = {"is-a": ["obývák", "koupelna"],
                         "barva": "hnědá",
                         "otevírání": "do koupelny"}

# informace o kuchyni
kuchyn = {"is-a": "byt",
          "velikost": "20 m^2",
          "rozměry": "4x5 m",
          "okna": [okno_kuchyn],
          "dveře": [dvere_obyvak_kuchyn],
          "nábytek": ["stůl", "kuchyňská linka", "židle 4x", "skříň"]}

# informace o mistnosti obyvaku
obyvak = {"is-a": "byt",
          "velikost": "30 m^2",
          "rozměry": "5x6 m",
          "okna": [okno_obyvak],
          "dveře": [dvere_obyvak_kuchyn, dvere_obyvak_predsin, dvere_obyvak_loznice, dvere_obyvak_koupelna],
          "nábytek": ["gauč", "stůl", "židle 3x", "polička"]}

# informace o mistnosti loznici
loznice = {"is-a": "byt",
           "velikost": "16 m^2",
           "rozměry": "4x4 m",
           "okna": [okno_loznice],
           "dveře": [dvere_obyvak_loznice],
           "nábytek": ["postel", "skříň", "noční stolek"]}

# informace o mistnosti predsini
predsin = {"is-a": "byt",
           "velikost": "6 m^2",
           "rozměry": "2x3 m",
           "okna": [],
           "dveře": [dvere_obyvak_predsin],
           "nábytek": ["botník", "skříň", "věšák"]}

# informace o mistnosti koupelne
koupelna = {"is-a": "byt",
            "velikost": "9 m^2",
            "rozměry": "3x3 m",
            "okna": [],
            "dveře": [dvere_obyvak_koupelna],
            "nábytek": ["záchodová mísa", "sprchový kout", "umývadlo", "polička"]}

# informace o byte
byt = {"is-a": "panelák",
       "adresa": "Plzeň, Technická 10, 30100",
       "patro": "2",
       "majitel": "Petr Novák",
       "velikost": "81 m^2",
       "typ": "3+1",
       "místnosti": {"kuchyň": kuchyn,
                     "obývák": obyvak,
                     "ložnice": loznice,
                     "předsíň": predsin,
                     "koupelna": koupelna}}
