"""
@author Vitaliy Bohera
@version 1
@info Komunikacni modul znalostniho systemu pro reprezentaci rozložení a vybavení bytu
@date 10.11.2023
"""


# vypis hlavicky znalostniho systemu
def uvod_do_systemu():
    print("---------------------------------------------------------------------------")
    print("| Vítejte ve znalostním systému pro reprezentaci rozložení a vybavení bytu |")
    print("--------------------------------------------------------------------------------------")
    print("| Pro komunikaci se znalostním systémem prosím používejte pouze uvedené typy zpráv!!! |")
    print("--------------------------------------------------------------------------------------")
    print("| Program se ukonči stisknutim klávesy q + enter |")
    print("-------------------------------------------------\n")


# funkce vypise seznam dostupnych zprav a jakym zpusobem se maji volat
def vypis_seznam_zprav():
    print("        Seznam dostupných zpráv        |    volání zpráv")
    print("-------------------------------------------------------------")
    print("1 - Zjistit info o bytě                |    1\n"
          "2 - Vypsat všechny místnosti v bytě    |    2\n"
          "3 - Zjistit info o místnosti           |    3 název_místnosti\n"
          "4 - Vypsat nábytek v místnosti         |    4 název_místnosti\n"
          "5 - Zjistit počet oken v místnosti     |    5 název_místnosti\n"
          "6 - Zjistit kam se dostanu z místnosti |    6 název_místnosti\n"
          "7 - Vypsat info o oknech v místnosti   |    7 název_místnosti\n"
          "8 - Vypsat info o dveřích v místnosti  |    8 název_místnosti\n")


# funkce se zepta uzivatele na typ zpravy, kterou chce vykonat
def zeptej_se_na_vstup():
    zprava = input("Zadej zprávu (pro nápovědu zadej - help) > ")
    return zprava


# funkce pro vypsani hlasky uzivateli kdyz zadanej vstup nevyhovuje formatu
def spatny_vstup():
    print("Špatný formát zprávy!!!\n")


# vypsani hlasky ukonceni systemu
def konec():
    print("\nKonec systému.")
