"""
autor: Miroslav Martinek
datum: 17.11.2023
zadani 06
Vysvetlovaci modul systemu.
"""
import baze_znalosti


# ziskani vstupu
def user_input():
    print("--------------------------------------")
    return input("Cekam na vstup: ")


# vypise informace o bytu
def info_byt():
    print("Informace o bytu:")
    print(baze_znalosti.get_byt_info())


# vypise informace o mistnosti
def info_room(room):
    search_result = baze_znalosti.get_room_info(room)
    if(search_result == None):
        print("Zadna mistnost '" + room + "' nenalezena.")
    else:
        print("Informace o mistnosti:")
        print(search_result)


# vypise informace o vybaveni(okna, dvere, nabytek, spotrebice)
def info_item(room, item):
    search_result = baze_znalosti.get_item_info(room, item)
    if (search_result == "1"):
        print("Zadna mistnost '" + room + "' nenalezena.")
    elif (search_result == "2"):
        print("Zadne vybaveni '" + item + "' nenalezeno.")
    else:
        print("Informace o vybaveni:")
        print(search_result)


# vypise sousedici mistnosti
def connected_rooms(room):
    search_result = baze_znalosti.connected_rooms(room)
    if (search_result == None):
        print("Zadna mistnost '" + room + "' nenalezena.")
    else:
        print("Sousedni mistnosti:")
        print(search_result)
